public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/ansifilter/
Date: Wed, 28 Sep 2016 11:37:00 +0000 (UTC)	[thread overview]
Message-ID: <1475062606.bc5d07b9d6464ced7acdd16ed17302467e643c6b.kensington@gentoo> (raw)

commit:     bc5d07b9d6464ced7acdd16ed17302467e643c6b
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 28 11:36:37 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Sep 28 11:36:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc5d07b9

app-text/ansifilter: version bump

Package-Manager: portage-2.3.1

 app-text/ansifilter/Manifest              |  1 +
 app-text/ansifilter/ansifilter-2.3.ebuild | 56 +++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-text/ansifilter/Manifest b/app-text/ansifilter/Manifest
index c8c489a..1f93ec5 100644
--- a/app-text/ansifilter/Manifest
+++ b/app-text/ansifilter/Manifest
@@ -1,3 +1,4 @@
 DIST ansifilter-2.0.tar.bz2 89274 SHA256 4e9065f5bad6ffbb578054ae57253fbab4fcde7730da5234f9328e1132977a02 SHA512 aff26a90faffa1116576246a24bb3184cf5732733f17ff849febc19542a23362329c0a95697f10e2809a529bece2cfd3d8b29b0e762d8f9ffba62e3512b9c53f WHIRLPOOL 146f4a04f0e5c6b2afd40e617a5f03430182cc574696b5b284389f313aafdc379b6f5f504ea1b29b918da7c8ea800aa6d52debb4ab1c5759f7f3148cfcc4d6ae
 DIST ansifilter-2.1.tar.bz2 89286 SHA256 9614d637694d8b4144ac5b7c4815520187021f1ab78ebce7bcc1e54b60809b83 SHA512 c14b41a4c7bcc652a15bb52e2ee4045d35744fcdd843a0ac2270bd25861989902eee631c6cabea577b1d671d1203b92ef2373f7248c43d685f83ea116aabf408 WHIRLPOOL 9107812bdec710b65d2ca404e4a4fb82321eb7a2f89f9a666bf9522eced0fe933b96511505261f2d2a2ea575c9a88322128bf546a0a0223d1ee053f260751e2f
 DIST ansifilter-2.2.tar.bz2 89697 SHA256 af862f9c381100d9307fa20a7cc66888bf582581249c0fc79b2447dbc41c30b9 SHA512 feb04c9b5fc4f6f78406c156d9158d9c08ddc561bcdf760b2d07ac1ccd58079c7b188cab47eb936ca95e647074f02e980e1af4e0050a75f000863005ef3843ce WHIRLPOOL a576c8fde2906986c9327e31b23d978afbc99701255e195742d93097bd7a8bd83aba9c19882967054fe01a2123166b2d5742803412b7495338dc72ee75c77b98
+DIST ansifilter-2.3.tar.bz2 89746 SHA256 26d5ccd21a05e66a1cf836efd24eaf088243d14c3bf322a26cf635a3dd6a5e48 SHA512 769588a483f174e1d79e4baca844795564889eb15b15a820be1cd31865782e4ffbcfae3ecdcff4ed7c0cf6e976f352eb3bb1835bafb88b7d061db704a6512322 WHIRLPOOL bb3f88baaa459fad395b81c3f86f8b722ba6567c63222a7f7bdd8ffcdfb108cdd95df253ba5d39353e26b1743c9132e6d45f7e84cb89224796a7436ca2b7b21b

diff --git a/app-text/ansifilter/ansifilter-2.3.ebuild b/app-text/ansifilter/ansifilter-2.3.ebuild
new file mode 100644
index 00000000..198b13a
--- /dev/null
+++ b/app-text/ansifilter/ansifilter-2.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs qmake-utils
+
+DESCRIPTION="Handles text files containing ANSI terminal escape codes"
+HOMEPAGE="http://www.andre-simon.de/"
+SRC_URI="http://www.andre-simon.de/zip/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="qt5"
+
+RDEPEND="
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+	)"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	# bug 431452
+	rm src/qt-gui/moc_mydialog.cpp || die
+}
+
+src_configure() {
+	if use qt5 ; then
+		pushd src/qt-gui > /dev/null || die
+		eqmake5
+		popd > /dev/null || die
+	fi
+}
+
+src_compile() {
+	emake -f makefile CC="$(tc-getCXX)" CFLAGS="${CFLAGS} -c -std=c++11" LDFLAGS="${LDFLAGS}"
+
+	if use qt5 ; then
+		pushd src/qt-gui > /dev/null || die
+		emake
+		popd > /dev/null || die
+	fi
+}
+
+src_install() {
+	dobin src/${PN}
+	use qt5 && dobin src/qt-gui/${PN}-gui
+	doman man/${PN}.1.gz
+	einstalldocs
+}


             reply	other threads:[~2016-09-28 11:37 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-28 11:37 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28 14:39 [gentoo-commits] repo/gentoo:master commit in: app-text/ansifilter/ Sam James
2024-09-28 14:17 Arthur Zamarin
2024-09-28 13:09 Michał Górny
2024-09-28 12:32 Arthur Zamarin
2024-09-28 11:41 Sam James
2024-09-28 10:44 Arthur Zamarin
2024-09-09 20:44 Arthur Zamarin
2024-09-06 11:46 Michał Górny
2024-02-14 16:17 Michał Górny
2024-02-14 16:17 Michał Górny
2024-02-14 16:17 Michał Górny
2024-02-02 20:17 Sam James
2023-11-30 22:06 James Le Cuirot
2023-10-09 20:02 Sam James
2023-10-09 16:21 Arthur Zamarin
2023-10-09 16:21 Arthur Zamarin
2023-10-09 16:21 Arthur Zamarin
2023-10-09  7:04 Sam James
2023-10-09  5:54 Sam James
2023-10-09  4:46 Sam James
2023-10-09  4:46 Sam James
2023-09-01  3:56 Sam James
2023-08-30  7:48 Sam James
2023-06-21  4:41 Arthur Zamarin
2023-06-20 14:20 Sam James
2023-06-19 21:28 Sam James
2023-06-19 13:31 Pacho Ramos
2023-06-18  3:12 Sam James
2022-12-02 10:20 WANG Xuerui
2022-07-28 13:59 Sam James
2022-05-13 20:28 Jakov Smolić
2022-01-24 19:19 Sam James
2021-11-14  3:45 Sam James
2021-08-02  9:34 Michael Palimaka
2021-08-02  3:18 Sam James
2021-07-26 11:17 Sam James
2021-07-17 23:18 Sam James
2021-07-17 23:14 Sam James
2021-07-17  7:44 Agostino Sarubbo
2021-07-17  7:42 Agostino Sarubbo
2021-07-16 21:44 Sam James
2021-02-25  4:19 Sam James
2021-02-08  9:29 Michael Palimaka
2020-12-25 23:50 Sam James
2020-11-28  7:43 Sam James
2020-11-26  8:14 Sam James
2020-11-26  5:41 Sam James
2020-11-25  7:44 Agostino Sarubbo
2020-11-25  7:24 Michael Palimaka
2020-11-24 12:57 Agostino Sarubbo
2020-11-24 12:54 Agostino Sarubbo
2020-10-10  7:56 Michael Palimaka
2020-07-16  3:39 Sam James
2020-06-26 20:21 Thomas Deutschmann
2020-03-28  3:04 Michael Palimaka
2020-03-20  9:04 Agostino Sarubbo
2020-03-20  8:59 Agostino Sarubbo
2020-02-10 10:59 Michael Palimaka
2020-02-10 10:56 Michael Palimaka
2020-01-21 10:42 Agostino Sarubbo
2020-01-20 12:58 Agostino Sarubbo
2019-11-25 10:19 Michael Palimaka
2019-08-06 11:27 Michael Palimaka
2019-08-06 10:40 Agostino Sarubbo
2019-08-06  9:39 Agostino Sarubbo
2019-04-28 13:18 Michael Palimaka
2019-02-22  6:58 Michael Palimaka
2019-02-22  6:58 Michael Palimaka
2018-12-20 10:41 Michael Palimaka
2018-11-08 13:08 Michael Palimaka
2018-11-05  7:37 Sergei Trofimovich
2018-05-26 10:16 Michael Palimaka
2018-05-26 10:16 Michael Palimaka
2018-03-10  0:21 Michael Palimaka
2018-01-25 14:14 Michael Palimaka
2018-01-25 14:14 Michael Palimaka
2017-12-02 12:54 Michael Palimaka
2017-09-15 12:11 Michael Palimaka
2017-09-15 12:11 Michael Palimaka
2017-08-09 11:15 Michael Palimaka
2017-07-27 14:36 Michael Palimaka
2017-06-24  3:22 Michael Palimaka
2017-06-13 11:39 Michael Palimaka
2017-02-13  8:03 Michael Palimaka
2017-02-12 15:44 Agostino Sarubbo
2017-02-12 14:48 Agostino Sarubbo
2017-01-04  6:57 Michael Palimaka
2016-10-27 18:49 Michael Palimaka
2016-10-27 18:49 Michael Palimaka
2016-09-17 18:39 Michael Palimaka
2016-09-14 15:38 Michael Palimaka
2016-09-14 15:38 Michael Palimaka
2016-08-31 19:58 Michael Palimaka
2016-08-31 19:58 Michael Palimaka
2016-04-12  5:57 Tim Harder
2016-01-16  5:43 Tim Harder
2016-01-16  5:43 Tim Harder

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1475062606.bc5d07b9d6464ced7acdd16ed17302467e643c6b.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox